#17890 closed Bugs (Fixed)

Video Playback Now Totally Broken (after Win 10 Resolution issues fix)

Reported by: mgonzales Owned by: afedchin
Priority: 4 - Normal
Component: Video playback (inc. audio in video and codecs) Version: 18.0 "Leia" Alpha1
Severity: Normal Keywords: video playback resolution fix windows
Cc: Blocked By:
Blocking: Platform: Windows

Description

Was asked to open a new ticket for video playback issues I had with test build: ​http://mirrors.kodi.tv/test-builds/windows/win64/KodiSetup-20180525-1d7afb62-cppwinrt-x64.exe

The above test build fixes the resolution issues I was having (see https://trac.kodi.tv/ticket/17887) but it now breaks video playback.

Here are some debug log captures using the above test build.

The 3rd set is the largest but also may be the most helpful.

I am including all 3 attempts at video playback to help you debug this new issue.

logset 1 - first debug capture of playing video file off NAS with very basic minimal (clean) config of Kodi

https://ufile.io/kqo0d

logset 2 - made some changes to advancedsettings that I usually use to see what effect if any would have on playback issues

https://ufile.io/psq3z

logset 3 - created window dmp of kodi.exe after it hung (did not crash) playing local video file.

https://ufile.io/h0asm

Note: Video playback works in the following builds fine:

http://mirrors.kodi.tv/nightlies/windows/win64/master/KodiSetup-20180524-b367089b-master-x64.exe

http://mirrors.kodi.tv/test-builds/windows/win64/KodiSetup-20180525-b3b4c216-master-x64.exe

But they still have issues with video resolution as referenced in the other trac ticket mentioned above.

Change History (5)

comment:1 Changed at 2018-05-25T20:16:42+01:00 by afedchin

  • Owner changed from FernetMenta to afedchin
  • Status changed from new to assigned

comment:2 Changed at 2018-05-27T07:57:49+01:00 by mgonzales

let me know if you would like me to try any test builds, etc. thanks!

comment:3 Changed at 2018-05-27T11:12:43+01:00 by mgonzales

Looks like this got fixed in https://github.com/xbmc/xbmc/pull/13939/ - I just tried the Win64 nightly: xbmc-master-0cc5e0f and no longer have any playback or resolution issues.

Thank you! :)

comment:4 Changed at 2018-05-27T21:19:57+01:00 by Rechi

  • Milestone changed from Pending / Future to 18.0 "L*****"
  • Resolution set to Fixed
  • Status changed from assigned to closed

comment:5 Changed at 2018-08-08T20:32:09+01:00 by Martijn

  • Milestone changed from 18.0 "L*****" to 18.0 "Leia"

Milestone renamed

Note: See TracTickets for help on using tickets.